import 'package:flutter/material.dart';
import 'package:adgydeplugin/adgydeplugin.dart';

class UserDetails  extends StatefulWidget {

  @override
  State<StatefulWidget> createState() {
    Adgydeplugin adgydesinstance = new Adgydeplugin();
    // TODO: implement createState
    adgydesinstance.setCurrentScreen("UniquePage");
    return UserDetailsState();
  }
}

class UserDetailsState extends State<UserDetails>{
  Adgydeplugin adgydesinstance = new Adgydeplugin();

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {

    return new Scaffold(
        appBar: new AppBar(
          title: new Text("Unique Page"),
        ),
        body: new Center(

            child: new Column(
              children: <Widget>[
                new RaisedButton(
                  textColor: Colors.white,
                  color: Colors.blue,
                  onPressed: onEmailId,
                  child: new Text("Email Id"),
                ),
                new RaisedButton(
                  textColor: Colors.white,
                  color: Colors.blue,
                  //padding: const EdgeInsets.all(8.0),
                  onPressed: onPhoneNumber,
                  child: new Text("Phone Number"),
                ),
                 new RaisedButton(
                  textColor: Colors.white,
                  color: Colors.blue,
                  //padding: const EdgeInsets.all(8.0),
                  onPressed: onUserId,
                  child: new Text("User Id"),
                ),

              ],
            )
        )
    );
  }

  /**
   * Daily Unique event allows to keep an event unique for current date
   * When user completes Game Stage
   */

  void onEmailId() {
    adgydesinstance.getEmailId("sanugupta266@gmail.com");
  }


  void onPhoneNumber() {
    adgydesinstance.getPhoneNumber(8130300721);
  }

/**
 * Custom Unique event allows to keep an event unique for user defined time (hours)
 */
  void onUserId() {

    adgydesinstance.getUserId("AdGy994949");

  }
}