package com.android.adgydeplugin.adgydeplugin_example;

import com.adgyde.android.AdGyde;

import androidx.annotation.NonNull;
import io.flutter.Log;
import io.flutter.embedding.android.FlutterActivity;
import io.flutter.embedding.engine.FlutterEngine;
import io.flutter.plugins.GeneratedPluginRegistrant;

public class MainActivity extends FlutterActivity {
  @Override
  public void configureFlutterEngine(@NonNull FlutterEngine flutterEngine) {
    GeneratedPluginRegistrant.registerWith(flutterEngine);
  }

  @Override
  public void onStart(){
    super.onStart();
  AdGyde.callOnStart(this);
    Log.d("xxxx","onStart Call");

  }

  public void onResume(){
    super.onResume();
    AdGyde.callOnResume(this);
    Log.d("xxxx","onResume Call");
  }

  @Override
  public void onPause(){
    super.onPause();
    AdGyde.callOnPause(this);
    Log.d("xxxx","onPause Call");
  }
  @Override
  public void onDestroy(){
    super.onDestroy();

    Log.d("xxxx","onDestroy Call");
  }

}
